libzypp 17.37.10

Map.cc File Reference
`#include <solv/bitmap.h>`
`#include <iostream>`
`#include <exception>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/String.h>`
`#include <zypp/sat/Map.h>`
`#include <zypp/sat/Pool.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat

## Macros
#define | M_RANGE_CKECK(IDX, LOC)

## Functions
template<>
sat::detail::CMap * | zypp::rwcowClone< sat::detail::CMap > (const sat::detail::CMap *rhs)
bool | zypp::sat::operator== (const Map &lhs, const Map &rhs)

## Macro Definition Documentation

## ◆ M_RANGE_CKECK

#define M_RANGE_CKECK | ( |  | IDX,
|  |  | LOC )

Value:
if ( ((IDX) >> 3) >= size_type(_pimpl->size) ) throw std::out_of_range( "zypp::sat::Map::" LOC )

Definition at line 79 of file Map.cc.